大家好,今天讲关于旋转UFUN函数使用。
UF_MODL_create_revolved (view source)

|-----------------|-------------------|-----------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| uf_list_p_t | obj_id_list | Input | List of objects or one section builder object tag but not both, to be revolved |
| char * | limit [ 2 ] | Input | Limits of revolution. The declaration should be limit[2], where limit[0] = start angle and limit[1] = end angle. Angles are in degrees. |
| double | point [ 3 ] | Input | Point |
| double | direction [ 3 ] | Input | Revolution axis. |
| UF_FEATURE_SIGN | sign | Input | The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid |
| uf_list_p_t * | feature_list | Output to UF_*free* | List of feature identifiers created. This list must be freed by calling UF_MODL_delete_list. |
这个是旧版的旋转函数,里面虽然有可以使用布尔减,但是没有传入目标体的Tag值。所以他是默认减去一个体,这样会造成我们使用灵活性方面的困难,而下面这个新版的函数就没有这方面的问题了。
UF_MODL_create_revolved1 (view source)

|-----------------|-------------------|-----------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| uf_list_p_t | obj_id_list | Input | List of objects or one section builder object tag but not both, to be revolved |
| char * | limit [ 2 ] | Input | Limits of revolution. The declaration should be limit[2], where limit[0] = start angle and limit[1] = end angle. Angles are in degrees. |
| double | point [ 3 ] | Input | Point |
| double | direction [ 3 ] | Input | Revolution axis. |
| UF_FEATURE_SIGN | sign | Input | The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid |
| tag_t | target_body | Input | Boolean target |
| uf_list_p_t * | feature_list | Output to UF_*free* | List of feature identifiers created. This list must be freed by calling UF_MODL_delete_list. |
倒数第二个参数就为目标体的tag值。
今天要讲的就是这么多,我们下篇文章再见。
散会